<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE beans PUBLIC "-//SPRING//DTD BEAN//EN"
        "http://www.springframework.org/dtd/spring-beans.dtd">
<beans>
    <bean id="mainFrame" class="ui.MainFrame" init-method="init">
        <property name="contentPane">
            <ref bean="mainPanel"/>
        </property>
        <property name="title">
            <value>Address Book</value>
        </property>
    </bean>
    <bean id="mainPanel" class=
            "ui.BoxLayoutPanel" init-method="init">
        <property name="axis">
            <!--  "1" corresponds to BoxLayout.Y_AXIS -->
            <!--  Spring can access constants, but it's more complex -->
            <value>1</value>
        </property>
        <property name="panelComponents">
            <list>
                <ref bean="itemScrollPane"/>
                <ref bean="buttonPanel"/>
            </list>
        </property>
    </bean>
    <bean id="itemScrollPane" class="javax.swing.JScrollPane">
        <constructor-arg>
            <ref bean="itemTable"/>
        </constructor-arg>
    </bean>
    <bean id="itemTable" class="javax.swing.JTable">
        <property name="model">
            <ref bean="itemTableModel"/>
        </property>
    </bean>
    <bean id="itemTableModel" class="ui.ItemTableModel">
        <property name="itemList">
            <ref bean="itemList"/>
        </property>
    </bean>
    <bean id="itemList" class="java.util.ArrayList">
        <constructor-arg>
            <list>
                <value>Item 1</value>
                <value>Item 2</value>
                <value>Item 3</value>
            </list>
        </constructor-arg>
    </bean>
    <bean id="buttonPanel" class="ui.BoxLayoutPanel" init-method="init">
        <property name="axis">
            <!--  "0" corresponds to BoxLayout.X_AXIS -->
            <value>0</value>
        </property>
        <property name="panelComponents">
            <list>
                <ref bean="addNewButton"/>
            </list>
        </property>
    </bean>
    <bean id="addNewButton" class="ui.ActionListenerButton"
          init-method="init">
        <property name="actionListener">
            <ref bean="addNewButtonActionListener"/>
        </property>
        <property name="text">
            <value>Add New</value>
        </property>
    </bean>
    <bean id="addNewButtonActionListener"
          class="AddNewButtonActionListener">
        <property name="list">
            <ref bean="itemList"/>
        </property>
        <property name="table">
            <ref bean="itemTable"/>
        </property>
    </bean>
</beans>